class TagBodyModel {
  late String? uuid;
  late String tag;
  late final String? productUuid;

  Map<String, dynamic> toJson() {
    return {
      'uuid': uuid,
      'name': tag,
      'productUuid': productUuid,
    };
  }

  @override
  String toString() {
    return toJson().toString();
  }
}

class CreateSubspaceTemplateModel {
  late String subspaceName;
  late List<TagBodyModel>? tags;

  Map<String, dynamic> toJson() {
    return {
      'subspaceName': subspaceName,
      'tags': tags?.map((tag) => tag.toJson()).toList(),
    };
  }
}

class CreateSpaceTemplateBodyModel {
  final String? modelName;
  final List<dynamic>? tags;
  final List<dynamic>? subspaceModels;

  CreateSpaceTemplateBodyModel({
    this.modelName,
    this.tags,
    this.subspaceModels,
  });

  Map<String, dynamic> toJson() {
    return {
      'modelName': modelName,
      'tags': tags,
      'subspaceModels': subspaceModels,
    };
  }

  @override
  String toString() {
    return toJson().toString();
  }
}
